  ########################### source("median.r",echo=TRUE)

  tval <- read.table("mstar.dat",header=TRUE) ;
  dims <- dim(tval) ;
  nbl  <- dims[1] ;
  nbc  <- dims[2] ;

  XU           <- tval[,1] ;
  XV           <- tval[,2] ;
  XW           <- tval[,3] ;

  ###########################

  sk_ku <- function( x) {
    cnt_x <- length(x)
    moy_x <- sum(x)/cnt_x
    mct_x <- sum(x*x)/cnt_x
    var_x <- mct_x - moy_x**2
    ect_x <- sqrt( var_x)
    dix   <- (x-moy_x)/ect_x
    sk    <- sum(dix**3)/cnt_x
    ku    <- sum(dix**4)/cnt_x
    cat(" pour ",cnt_x," valeurs \n")
    cat("   moyenne    ",moy_x,"\n")
    cat("   cart-type ",ect_x,"\n")
    cat("   skewness   ",sk   ,"\n")
    cat("   kurtosis   ",ku   ,"\n")
  } ; # fin de sk

  sk_ku( XU )
